function [x,P] = update(z,y,x_t,P_t,R)
%UPDATE update stage of EKF
%   Function computes update based on current states x_t,
%   current observation z and state covariance matrix P_t and 
%   observation covariance R
H = [1 0 0;
    0 1 0;
    0 0 1];  
innovation = z-y;
S = H*P_t*H'+R;
K = P_t*H'/S;
x = x_t+K*innovation;
I = [1 0 0;
    0 1 0;
    0 0 1];
P =(I-K*H)*P_t;
end

